summaryrefslogtreecommitdiff
path: root/debian/emacsVER.prerm
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2017-06-20 22:05:08 +0300
committerIgor Pashev <pashev.igor@gmail.com>2017-06-20 22:05:08 +0300
commit463c81abcc6e1adc4463cb9d6f272cf23dbf29c2 (patch)
tree8422976fbc8b0f0b2ddf9c287fac41d44a543a12 /debian/emacsVER.prerm
downloademacs25-463c81abcc6e1adc4463cb9d6f272cf23dbf29c2.tar.gz
Imported emacs25 25.1+1-4debian/25.1+1-4debian
Diffstat (limited to 'debian/emacsVER.prerm')
-rw-r--r--debian/emacsVER.prerm18
1 files changed, 18 insertions, 0 deletions
diff --git a/debian/emacsVER.prerm b/debian/emacsVER.prerm
new file mode 100644
index 0000000..bbc877e
--- /dev/null
+++ b/debian/emacsVER.prerm
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+MAJOR=@MAJOR_VERSION@
+FLAVOR=@DEB_FLAVOR@
+
+# update-alternatives on things that collide with xemacs, other editors
+if [ "$1" != "upgrade" ]
+then
+ update-alternatives --remove emacs /usr/bin/${FLAVOR}-@X_SUPPORT@
+ update-alternatives --remove editor /usr/bin/${FLAVOR}
+fi
+
+# emacsen-common registration.
+/usr/lib/emacsen-common/emacs-remove ${FLAVOR}
+
+#DEBHELPER#